# AquaHUD/Flat
A simplistic, modern UI resource pack designed to match Sodium's UI.

## What makes AquaHUD/Flat different from normal AquaHUD?
AquaHUD Flat is AquaHUD but with:
 * no grids
 * no hard exterior outlines
 * more seperation between elements

## About
Upon installing sodium, I immediately found it rather annoying that it's user interface was completely different from the rest of Minecraft's. So, I took it upon myself to create a resource pack that attempts to complement Sodium's user interface in a way that makes every screen feel consistent and like it was meant to look that way. This has been in development for quite a while, so there may be some inconsistencies with some UIs.

## Permissions
This project uses the CC BY-NC-ND License.

See [LICENSE.md](https://github.com/ruvaldak/AquaHUD/blob/main/LICENSE.md) and https://creativecommons.org/licenses/by-nc-nd/4.0/legalcode for more information.

## Pull Requests
I will look at any pull request submitted to AquaHUD, but pull requests will only be considered if you:
 * Follow the general design philosophy of AquaHUD and Sodium's UI.
 * Explain your changes thoroughly
 * Explain why you think your change should be considered (i.e. what's wrong with the original, and why yours is better)

## Requirements
The only requirement is [my SemiTranslucency mod](https://modrinth.com/mod/semitranslucency). It is supported on Forge 1.16.5 and Fabric 1.16 - 1.19. It will not be backported, so don't ask.

IF YOU DO NOT USE SEMITRANSLUCENCY, THE PACK WILL NOT LOOK ANYWHERE NEAR AS INTENDED. YOU WILL NOT RECEIVE ANY SUPPORT IF YOU DO NOT USE IT.

## Bugs, Errors, and Suggestions
Use the Issues tab here on AquaHUD's GitHub. I'll immediately close anything posted on Issues that isn't:
 * Clearly explained or described
 * In some form of English (Google Translate is okay)
 * An actual bug, error, or suggestion.

Examples of issues that will be immediately closed:
 * How do I install fabric?
 * What is semitranslucency?

GitHub Issues is not for tech support. No exceptions.

## Recommendations
Ready for the cool stuff? Me too.

 * Sodium: https://modrinth.com/mod/sodium
 * Sodium Extra: https://modrinth.com/mod/sodium-extra
 * Blur: https://modrinth.com/mod/blur-fabric
 * 'Slight' Gui Modifications: https://modrinth.com/mod/slight-gui-modifications
 * OneBar: https://modrinth.com/mod/onebar
 * Using Optifabric? Custom Background Color instead of Blur: https://modrinth.com/mod/r1ifqLkv/version/XQhFC2Zk

Special instructions:

 * Blur
      * set Fade Time to 0
      * set Blur Radius to 32
      * set Gradient Start Color to 75999999
      * set Gradient End Color to 75555555
 * 'Slight Gui Modifications
      * Enable Tooltip Modifications
      * set Background color to A0000000
      * set Outline Top Color to 00000000
      * set Outline Bottom Color to 00000000
 * LibGUI (Open Mods menu -> Filter -> Libraries -> Shown)
      * Enable Dark mode.
      * Why? Because LibGUI hardcodes damn near half of it's GUIs and I can't do anything about it.
 * OneBar
      * Set background color to A0000000
 * Custom Background Color
      * Alpha on both start and end: 117
      * Red, Green, and Blue on start: 153
      * Red, Green, and Blue on end: 85

## Screenshots

![image](https://user-images.githubusercontent.com/37855219/173999143-821103fe-c0c5-4453-93d3-6113d4f6fe1f.png)
![image](https://user-images.githubusercontent.com/37855219/173999236-320b0498-a812-4b89-acb5-4f7f4ff7d984.png)
![image](https://user-images.githubusercontent.com/37855219/173999473-2970b686-0666-4c78-b1cd-8ab67ddf78a9.png)
![image](https://user-images.githubusercontent.com/37855219/173999650-6d59ffab-e451-4feb-8003-0ba4b36ca171.png)
![image](https://user-images.githubusercontent.com/37855219/173999787-088b137e-12cd-4f29-bfe0-0eeb15130b65.png)
![image](https://user-images.githubusercontent.com/37855219/173999882-a06b7b45-e2bc-4783-b7e0-062a5c0e49a8.png)
![image](https://user-images.githubusercontent.com/37855219/173999965-1bb0d054-4cdc-4c31-96b7-152ebe9c2635.png)

## Download
If you've made it down here, congrats! You missed the downloads. So, I'm going to be nice and give you a link down here as well.

https://github.com/ruvaldak/AquaHUD/releases/latest

## Etcetera

Mod support will be added over time as it's completed.

If you would like to support me, here's my rather empty Patreon: https://www.patreon.com/ruvaldak

Beyond that, enjoy.
